View Issue Details

IDProjectCategoryView StatusLast Update
0002686libextractorbuild systempublic2013-06-29 22:15
ReporterMatthias WachsAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.1 
Target Version1.1Fixed in Version1.1 
Summary0002686: compile error when zlib not installed
DescriptionMaking install in common
make[2]: Entering directory `/root/Extractor/src/common'
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -fno-strict-aliasing -g -O2 -MT unzip.lo -MD -MP -MF .deps/unzip.Tpo -c -o unzip.lo unzip.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -fno-strict-aliasing -g -O2 -MT unzip.lo -MD -MP -MF .deps/unzip.Tpo -c unzip.c -fPIC -DPIC -o .libs/unzip.o
config.status: executing libtool commands
configure: NOTICE: zlib not found, zlib support disabled
configure: NOTICE: libbz2 not found, bz2 support disabled

but:

In file included from unzip.c:65:0:
unzip.h:32:18: fatal error: zlib.h: No such file or directory
compilation terminated.
make[2]: *** [unzip.lo] Error 1
make[2]: Leaving directory `/root/Extractor/src/common'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/root/Extractor/src'
make: *** [install-recursive] Error 1
root@buildslave:~/Extractor# make install
TagsNo tags attached.

Activities

Christian Grothoff

2012-12-09 16:44

manager   ~0006657

Untexted fix in SVN 25334, let me know if it fixes this.

Matthias Wachs

2012-12-10 10:28

reporter   ~0006659

make[4]: Entering directory `/root/Extractor/src/main'
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"\" -fno-strict-aliasing -g -O2 -MT libextractor_la-extractor_common.lo -MD -MP -MF .deps/libextractor_la-extractor_common.Tpo -c -o libextractor_la-extractor_common.lo `test -f 'extractor_common.c' || echo './'`extractor_common.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"\" -fno-strict-aliasing -g -O2 -MT libextractor_la-extractor_common.lo -MD -MP -MF .deps/libextractor_la-extractor_common.Tpo -c extractor_common.c -fPIC -DPIC -o .libs/libextractor_la-extractor_common.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"\" -fno-strict-aliasing -g -O2 -MT libextractor_la-extractor_common.lo -MD -MP -MF .deps/libextractor_la-extractor_common.Tpo -c extractor_common.c -o libextractor_la-extractor_common.o >/dev/null 2>&1
mv -f .deps/libextractor_la-extractor_common.Tpo .deps/libextractor_la-extractor_common.Plo
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"\" -fno-strict-aliasing -g -O2 -MT libextractor_la-extractor_datasource.lo -MD -MP -MF .deps/libextractor_la-extractor_datasource.Tpo -c -o libextractor_la-extractor_datasource.lo `test -f 'extractor_datasource.c' || echo './'`extractor_datasource.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"\" -fno-strict-aliasing -g -O2 -MT libextractor_la-extractor_datasource.lo -MD -MP -MF .deps/libextractor_la-extractor_datasource.Tpo -c extractor_datasource.c -fPIC -DPIC -o .libs/libextractor_la-extractor_datasource.o
extractor_datasource.c: In function 'cfs_read_bz2':
extractor_datasource.c:929:30: error: 'uInt' undeclared (first use in this function)
extractor_datasource.c:929:30: note: each undeclared identifier is reported only once for each function it appears in
extractor_datasource.c:929:36: error: expected ';' before 'in'
make[4]: *** [libextractor_la-extractor_datasource.lo] Error 1
make[4]: Leaving directory `/root/Extractor/src/main'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/root/Extractor/src/main'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/Extractor/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/Extractor'
make: *** [all] Error 2

Christian Grothoff

2012-12-10 12:41

manager   ~0006661

Fixed another issue in SVN 25338.

Matthias Wachs

2012-12-10 12:54

reporter   ~0006662

make[4]: Entering directory `/root/Extractor/src/plugins'
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT test_lib.lo -MD -MP -MF .deps/test_lib.Tpo -c -o test_lib.lo test_lib.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT test_lib.lo -MD -MP -MF .deps/test_lib.Tpo -c test_lib.c -fPIC -DPIC -o .libs/test_lib.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT test_lib.lo -MD -MP -MF .deps/test_lib.Tpo -c test_lib.c -o test_lib.o >/dev/null 2>&1
mv -f .deps/test_lib.Tpo .deps/test_lib.Plo
/bin/bash ../../libtool --tag=CC --mode=link gcc -fno-strict-aliasing -g -O2 -o libtest.la test_lib.lo ../../src/main/libextractor.la
libtool: link: ar cru .libs/libtest.a .libs/test_lib.o
libtool: link: ranlib .libs/libtest.a
libtool: link: ( cd ".libs" && rm -f "libtest.la" && ln -s "../libtest.la" "libtest.la" )
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT dvi_extractor.lo -MD -MP -MF .deps/dvi_extractor.Tpo -c -o dvi_extractor.lo dvi_extractor.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT dvi_extractor.lo -MD -MP -MF .deps/dvi_extractor.Tpo -c dvi_extractor.c -fPIC -DPIC -o .libs/dvi_extractor.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT dvi_extractor.lo -MD -MP -MF .deps/dvi_extractor.Tpo -c dvi_extractor.c -o dvi_extractor.o >/dev/null 2>&1
mv -f .deps/dvi_extractor.Tpo .deps/dvi_extractor.Plo
/bin/bash ../../libtool --tag=CC --mode=link gcc -fno-strict-aliasing -g -O2 -Wl,-Bsymbolic -export-dynamic -avoid-version -module -no-undefined -export-symbols-regex "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." -o libextractor_dvi.la -rpath /usr/local/lib/libextractor dvi_extractor.lo
libtool: link: /usr/bin/nm -B .libs/dvi_extractor.o | sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /bin/sed 's/.* //' | sort | uniq > .libs/libextractor_dvi.exp
libtool: link: /bin/grep -E -e "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." ".libs/libextractor_dvi.exp" > ".libs/libextractor_dvi.expT"
libtool: link: mv -f ".libs/libextractor_dvi.expT" ".libs/libextractor_dvi.exp"
libtool: link: echo "{ global:" > .libs/libextractor_dvi.ver
libtool: link: cat .libs/libextractor_dvi.exp | sed -e "s/\(.*\)/\1;/" >> .libs/libextractor_dvi.ver
libtool: link: echo "local: *; };" >> .libs/libextractor_dvi.ver
libtool: link: gcc -shared -fPIC -DPIC .libs/dvi_extractor.o -O2 -Wl,-Bsymbolic -Wl,-soname -Wl,libextractor_dvi.so -Wl,-version-script -Wl,.libs/libextractor_dvi.ver -o .libs/libextractor_dvi.so
libtool: link: ar cru .libs/libextractor_dvi.a dvi_extractor.o
libtool: link: ranlib .libs/libextractor_dvi.a
libtool: link: ( cd ".libs" && rm -f "libextractor_dvi.la" && ln -s "../libextractor_dvi.la" "libextractor_dvi.la" )
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT it_extractor.lo -MD -MP -MF .deps/it_extractor.Tpo -c -o it_extractor.lo it_extractor.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT it_extractor.lo -MD -MP -MF .deps/it_extractor.Tpo -c it_extractor.c -fPIC -DPIC -o .libs/it_extractor.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT it_extractor.lo -MD -MP -MF .deps/it_extractor.Tpo -c it_extractor.c -o it_extractor.o >/dev/null 2>&1
mv -f .deps/it_extractor.Tpo .deps/it_extractor.Plo
/bin/bash ../../libtool --tag=CC --mode=link gcc -fno-strict-aliasing -g -O2 -Wl,-Bsymbolic -export-dynamic -avoid-version -module -no-undefined -export-symbols-regex "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." -o libextractor_it.la -rpath /usr/local/lib/libextractor it_extractor.lo
libtool: link: /usr/bin/nm -B .libs/it_extractor.o | sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /bin/sed 's/.* //' | sort | uniq > .libs/libextractor_it.exp
libtool: link: /bin/grep -E -e "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." ".libs/libextractor_it.exp" > ".libs/libextractor_it.expT"
libtool: link: mv -f ".libs/libextractor_it.expT" ".libs/libextractor_it.exp"
libtool: link: echo "{ global:" > .libs/libextractor_it.ver
libtool: link: cat .libs/libextractor_it.exp | sed -e "s/\(.*\)/\1;/" >> .libs/libextractor_it.ver
libtool: link: echo "local: *; };" >> .libs/libextractor_it.ver
libtool: link: gcc -shared -fPIC -DPIC .libs/it_extractor.o -O2 -Wl,-Bsymbolic -Wl,-soname -Wl,libextractor_it.so -Wl,-version-script -Wl,.libs/libextractor_it.ver -o .libs/libextractor_it.so
libtool: link: ar cru .libs/libextractor_it.a it_extractor.o
libtool: link: ranlib .libs/libextractor_it.a
libtool: link: ( cd ".libs" && rm -f "libextractor_it.la" && ln -s "../libextractor_it.la" "libextractor_it.la" )
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT man_extractor.lo -MD -MP -MF .deps/man_extractor.Tpo -c -o man_extractor.lo man_extractor.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT man_extractor.lo -MD -MP -MF .deps/man_extractor.Tpo -c man_extractor.c -fPIC -DPIC -o .libs/man_extractor.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT man_extractor.lo -MD -MP -MF .deps/man_extractor.Tpo -c man_extractor.c -o man_extractor.o >/dev/null 2>&1
mv -f .deps/man_extractor.Tpo .deps/man_extractor.Plo
/bin/bash ../../libtool --tag=CC --mode=link gcc -fno-strict-aliasing -g -O2 -Wl,-Bsymbolic -export-dynamic -avoid-version -module -no-undefined -export-symbols-regex "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." -o libextractor_man.la -rpath /usr/local/lib/libextractor man_extractor.lo
libtool: link: /usr/bin/nm -B .libs/man_extractor.o | sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /bin/sed 's/.* //' | sort | uniq > .libs/libextractor_man.exp
libtool: link: /bin/grep -E -e "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." ".libs/libextractor_man.exp" > ".libs/libextractor_man.expT"
libtool: link: mv -f ".libs/libextractor_man.expT" ".libs/libextractor_man.exp"
libtool: link: echo "{ global:" > .libs/libextractor_man.ver
libtool: link: cat .libs/libextractor_man.exp | sed -e "s/\(.*\)/\1;/" >> .libs/libextractor_man.ver
libtool: link: echo "local: *; };" >> .libs/libextractor_man.ver
libtool: link: gcc -shared -fPIC -DPIC .libs/man_extractor.o -O2 -Wl,-Bsymbolic -Wl,-soname -Wl,libextractor_man.so -Wl,-version-script -Wl,.libs/libextractor_man.ver -o .libs/libextractor_man.so
libtool: link: ar cru .libs/libextractor_man.a man_extractor.o
libtool: link: ranlib .libs/libextractor_man.a
libtool: link: ( cd ".libs" && rm -f "libextractor_man.la" && ln -s "../libextractor_man.la" "libextractor_man.la" )
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT nsf_extractor.lo -MD -MP -MF .deps/nsf_extractor.Tpo -c -o nsf_extractor.lo nsf_extractor.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT nsf_extractor.lo -MD -MP -MF .deps/nsf_extractor.Tpo -c nsf_extractor.c -fPIC -DPIC -o .libs/nsf_extractor.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT nsf_extractor.lo -MD -MP -MF .deps/nsf_extractor.Tpo -c nsf_extractor.c -o nsf_extractor.o >/dev/null 2>&1
mv -f .deps/nsf_extractor.Tpo .deps/nsf_extractor.Plo
/bin/bash ../../libtool --tag=CC --mode=link gcc -fno-strict-aliasing -g -O2 -Wl,-Bsymbolic -export-dynamic -avoid-version -module -no-undefined -export-symbols-regex "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." -o libextractor_nsf.la -rpath /usr/local/lib/libextractor nsf_extractor.lo
libtool: link: /usr/bin/nm -B .libs/nsf_extractor.o | sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /bin/sed 's/.* //' | sort | uniq > .libs/libextractor_nsf.exp
libtool: link: /bin/grep -E -e "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." ".libs/libextractor_nsf.exp" > ".libs/libextractor_nsf.expT"
libtool: link: mv -f ".libs/libextractor_nsf.expT" ".libs/libextractor_nsf.exp"
libtool: link: echo "{ global:" > .libs/libextractor_nsf.ver
libtool: link: cat .libs/libextractor_nsf.exp | sed -e "s/\(.*\)/\1;/" >> .libs/libextractor_nsf.ver
libtool: link: echo "local: *; };" >> .libs/libextractor_nsf.ver
libtool: link: gcc -shared -fPIC -DPIC .libs/nsf_extractor.o -O2 -Wl,-Bsymbolic -Wl,-soname -Wl,libextractor_nsf.so -Wl,-version-script -Wl,.libs/libextractor_nsf.ver -o .libs/libextractor_nsf.so
libtool: link: ar cru .libs/libextractor_nsf.a nsf_extractor.o
libtool: link: ranlib .libs/libextractor_nsf.a
libtool: link: ( cd ".libs" && rm -f "libextractor_nsf.la" && ln -s "../libextractor_nsf.la" "libextractor_nsf.la" )
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT nsfe_extractor.lo -MD -MP -MF .deps/nsfe_extractor.Tpo -c -o nsfe_extractor.lo nsfe_extractor.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT nsfe_extractor.lo -MD -MP -MF .deps/nsfe_extractor.Tpo -c nsfe_extractor.c -fPIC -DPIC -o .libs/nsfe_extractor.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT nsfe_extractor.lo -MD -MP -MF .deps/nsfe_extractor.Tpo -c nsfe_extractor.c -o nsfe_extractor.o >/dev/null 2>&1
mv -f .deps/nsfe_extractor.Tpo .deps/nsfe_extractor.Plo
/bin/bash ../../libtool --tag=CC --mode=link gcc -fno-strict-aliasing -g -O2 -Wl,-Bsymbolic -export-dynamic -avoid-version -module -no-undefined -export-symbols-regex "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." -o libextractor_nsfe.la -rpath /usr/local/lib/libextractor nsfe_extractor.lo
libtool: link: /usr/bin/nm -B .libs/nsfe_extractor.o | sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /bin/sed 's/.* //' | sort | uniq > .libs/libextractor_nsfe.exp
libtool: link: /bin/grep -E -e "(EXTRACTOR|pl)_[a-zA-Z0-9_]*_......." ".libs/libextractor_nsfe.exp" > ".libs/libextractor_nsfe.expT"
libtool: link: mv -f ".libs/libextractor_nsfe.expT" ".libs/libextractor_nsfe.exp"
libtool: link: echo "{ global:" > .libs/libextractor_nsfe.ver
libtool: link: cat .libs/libextractor_nsfe.exp | sed -e "s/\(.*\)/\1;/" >> .libs/libextractor_nsfe.ver
libtool: link: echo "local: *; };" >> .libs/libextractor_nsfe.ver
libtool: link: gcc -shared -fPIC -DPIC .libs/nsfe_extractor.o -O2 -Wl,-Bsymbolic -Wl,-soname -Wl,libextractor_nsfe.so -Wl,-version-script -Wl,.libs/libextractor_nsfe.ver -o .libs/libextractor_nsfe.so
libtool: link: ar cru .libs/libextractor_nsfe.a nsfe_extractor.o
libtool: link: ranlib .libs/libextractor_nsfe.a
libtool: link: ( cd ".libs" && rm -f "libextractor_nsfe.la" && ln -s "../libextractor_nsfe.la" "libextractor_nsfe.la" )
/bin/bash ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT odf_extractor.lo -MD -MP -MF .deps/odf_extractor.Tpo -c -o odf_extractor.lo odf_extractor.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -fno-strict-aliasing -g -O2 -MT odf_extractor.lo -MD -MP -MF .deps/odf_extractor.Tpo -c odf_extractor.c -fPIC -DPIC -o .libs/odf_extractor.o
In file included from odf_extractor.c:28:0:
../../src/common/unzip.h:32:18: fatal error: zlib.h: No such file or directory
compilation terminated.

Christian Grothoff

2012-12-17 14:48

manager   ~0006719

This should be fixed now.

Issue History

Date Modified Username Field Change
2012-12-07 14:51 Matthias Wachs New Issue
2012-12-09 16:44 Christian Grothoff Note Added: 0006657
2012-12-09 16:44 Christian Grothoff Assigned To => Christian Grothoff
2012-12-09 16:44 Christian Grothoff Status new => feedback
2012-12-10 10:28 Matthias Wachs Note Added: 0006659
2012-12-10 10:28 Matthias Wachs Status feedback => assigned
2012-12-10 12:41 Christian Grothoff Note Added: 0006661
2012-12-10 12:41 Christian Grothoff Status assigned => feedback
2012-12-10 12:54 Matthias Wachs Note Added: 0006662
2012-12-10 12:54 Matthias Wachs Status feedback => assigned
2012-12-17 14:48 Christian Grothoff Note Added: 0006719
2012-12-17 14:48 Christian Grothoff Product Version => 1.0.1
2012-12-17 14:48 Christian Grothoff Fixed in Version => current SVN
2012-12-17 14:48 Christian Grothoff Target Version => current SVN
2012-12-17 14:49 Christian Grothoff Status assigned => resolved
2012-12-17 14:49 Christian Grothoff Resolution open => fixed
2013-06-25 16:16 Christian Grothoff Fixed in Version current SVN => 1.1
2013-06-25 16:16 Christian Grothoff Target Version current SVN => 1.1
2013-06-29 22:15 Christian Grothoff Status resolved => closed